##
##  dvipng.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dvipng
Summary:      DVI to PNG/GIF Converter
URL:          http://savannah.nongnu.org/projects/dvipng/
Vendor:       Jan-ke Larsson
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      GPL
Version:      1.18
Release:      20250205

#   list of sources
Source0:      http://download-mirror.savannah.gnu.org/releases/dvipng/dvipng-%{version}.tar.gz
Patch0:       dvipng.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  tetex, ghostscript
PreReq:       tetex, ghostscript
BuildPreReq:  gd, freetype, t1lib, jpeg, png, zlib
PreReq:       gd, freetype, t1lib, jpeg, png, zlib

%description
    dvipng(1) makes PNG and/or GIF graphics from DVI page description
    format files as obtained from TeX and its relatives. It uses the
    approach of the well-known dvips(1) to convert DVI, just instead
    of Postscript it converts to bitmaps. It is intended to produce
    anti-aliased screen-resolution bitmap images as fast as is possible.
    The target audience is people who need to generate and regenerate
    many images from DVI files again and again.

%track
    prog dvipng = {
        version   = %{version}
        url       = http://download.savannah.gnu.org/releases/dvipng/
        regex     = dvipng-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-ljpeg" \
    GS="%{l_prefix}/bin/gs" \
    ./configure \
        --prefix=%{l_prefix} \
        --datarootdir=%{l_prefix} \
        --with-gs=%{l_prefix}/bin/gs
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

